CameraWidget for Phonegap

0
While trying to access page with "camera widget for phonegap " getting error โ€“ "DEPRECATED: _FormBase.listen will be removed in version 8.0. The 'save' message has been deprecated.You should listen to the 'submit' message insteadโ€ Anyone has idea about it and how to resolvr this ?
asked
2 answers
0

Hi Vivek,

I have an app running in 7.23.5 that uses the camera widget as well (you mean this widget right?) and it works without errors. Is this something you see only in your log, something that prevents compiling or is the widget simply non-functional with error popups when entering the screen on your mobile device?

You could try to completely remove the widget and re-download it, to make sure you have the latest version: see if that helps.

 

answered
0

Dear Vivik

Don’t worry so much about the deprecation messages. It should still function.

Are you sure you are on the latest version, as the current version does not connect to save, but to the submit event

https://github.com/mendix/CameraWidgetForPhoneGap/blob/master/src/CameraWidgetForPhoneGap/widget/CameraWidgetForPhoneGap.js#L97

For Mendix 8 we are planning to re-write the hybrid widgets and replace them with some action. No timeline given,  but we will keep you posted.

 

Cheers, Andries

answered